javax.media.nativewindow.util

## Interface RectangleImmutable

- All Superinterfaces:
    Comparable<RectangleImmutable>, WriteCloneable
  All Known Implementing Classes:
    Rectangle

      public interface RectangleImmutable
      extends WriteCloneable, Comparable<RectangleImmutable>

  Immutable Rectangle interface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RectangleImmutable d)` Compares square of size 1st, if equal the square of position.
    `float` | `coverage(RectangleImmutable r)` Returns the coverage of given rectangle w/ this this one, i.e.
    `boolean` | `equals(Object obj)` Checks whether two rect objects are equal.
    `int` | `getHeight()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `int` | `hashCode()`
    `RectangleImmutable` | `intersection(int rx1, int ry1, int rx2, int ry2)` Returns the intersection of this rectangleand the given coordinates.
    `RectangleImmutable` | `intersection(RectangleImmutable r)` Returns the intersection of this rectangleand the given rectangle.
    `RectangleImmutable` | `union(int rx1, int ry1, int rx2, int ry2)` Returns the union of this rectangleand the given coordinates.
    `RectangleImmutable` | `union(RectangleImmutable r)` Returns the union of this rectangle and the given rectangle.

    - ### Methods inherited from interface com.jogamp.common.type.WriteCloneable

      `cloneMutable`

- - ### Method Detail

    - #### getHeight

          int getHeight()

    - #### getWidth

          int getWidth()

    - #### getX

          int getX()

    - #### getY

          int getY()

    - #### union

          RectangleImmutable union(RectangleImmutable r)

      Returns the union of this rectangle and the given rectangle.

    - #### union

          RectangleImmutable union(int rx1,
                                 int ry1,
                                 int rx2,
                                 int ry2)

      Returns the union of this rectangleand the given coordinates.

    - #### intersection

          RectangleImmutable intersection(RectangleImmutable r)

      Returns the intersection of this rectangleand the given rectangle.

    - #### intersection

          RectangleImmutable intersection(int rx1,
                                        int ry1,
                                        int rx2,
                                        int ry2)

      Returns the intersection of this rectangleand the given coordinates.

    - #### coverage

          float coverage(RectangleImmutable r)

      Returns the coverage of given rectangle w/ this this one, i.e. between `0.0` and `1.0`.

      Coverage is computed by:

              isect = this.intersection(r);
              coverage = area( isect ) / area( this ) ;

    - #### compareTo

          int compareTo(RectangleImmutable d)

      Compares square of size 1st, if equal the square of position.

      Specified by:
        `compareTo` in interface `Comparable<RectangleImmutable>`

    - #### equals

          boolean equals(Object obj)

      Checks whether two rect objects are equal. Two instances of `Rectangle` are equal if the four integer values of the fields `y`, `x`, `height`, and `width` are all equal.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if the two rectangles are equal; otherwise `false`.

    - #### hashCode

          int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright 2010 JogAmp Community.